/* ============================================================
* Falkon - Qt web browser
* Copyright (C) 2013-2018 David Rosca <nowrep@gmail.com>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
* ============================================================ */
#ifndef AUTOFILLICON_H
#define AUTOFILLICON_H

#include "qzcommon.h"
#include "clickablelabel.h"

class WebView;

class FALKON_EXPORT AutoFillIcon : public ClickableLabel
{
    Q_OBJECT

public:
    explicit AutoFillIcon(QWidget* parent = nullptr);

    void setWebView(WebView* view);
    void setUsernames(const QStringList &usernames);

private Q_SLOTS:
    void iconClicked();

private:
    void contextMenuEvent(QContextMenuEvent* ev) override;
    void mousePressEvent(QMouseEvent* ev) override;

    WebView* m_view;

    QStringList m_usernames;

};

#endif // AUTOFILLICON_H
